Subject: RE: EA DATA.SF file on NT
From: [email-masked] (Larry Hall)

5 Dec 1998 18:35:47 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: "Jonathan Pryor" <[email-masked]>, <[email-masked]>

I'm responding to this thread only to clear up a misconception by Jonathan,
Jack A Walker, and perhaps others.  The answer to the original question is
not really stated in the FAQ (although it should be) but is found in the 
mail archives.  I'll reiterate some of it here for posterity. 

While the "EA DATA. SF" file is used by OS/2, it is also a file used by
CYGWIN if the "ntea" switch is set in the CYGWIN environment variable.
The switch is not set by default.  If the switch is set, Cygwin stores
information about file and directory permissions and it is possible to 
alter those permissions with chmod.  Without the switch set, none of this
information is stored and therefore it cannot be manipulated by Cygwin 
tools.  On NTFS file systems, setting this switch enables this permission
functionality at no obvious cost/detriment to the user.  On FAT file systems,
this functionality comes at the price of the "EA DATA. SF" file in the root
directory of the partition/drive that the files Cygwin manipulates reside
on.  This includes floppies.  While the existence of the file on FAT 
partitions preserves the permissions that Cygwin sets and enables that 
functionality, the file quickly grows to a large size.  Its also worthwhile
to note that the file is "locked" by the O/S, so it is not possible to 
delete it while in Windows.

Those people who work on FAT partitions and don't need the permissions
information should make sure they have not set "ntea" in CYGWIN.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02482-7797               http://www.rfk.com

At 12:55 PM 12/4/98 -0500, Jonathan Pryor wrote:
>Are you running OS/2?
>"EA DATA.SF" contains OS/2 long file name information for FAT
>disks under OS/2.
>
>NT doesn't make any use of this, so it should be safe to 
>delete it, though:
> 1) If you're still running OS/2, you'll lose your long 
>    file names
> 2) If you're not running OS/2, how did you get the file?
>
>You might want to open it in a text editor, and see what it
>contains...
>
> - Jon
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]]On
>> Behalf Of [email-masked]
>> Sent: Thursday, December 03, 1998 3:43 PM
>> To: [email-masked]
>> Subject: EA DATA.SF file on NT
>> 
>> 
>> 
>>  Can anyone tell me what will happen if I delete my 450 Meg EA DATA.SF
>> file?
>> 
>> -
>> For help on using this list (especially unsubscribing), send 
>> a message to
>> "[email-masked]" with one line of text: "help".
>> 
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".